<?php

date_default_timezone_set("America/Argentina/Buenos_Aires");

define('BASE_DIR', dirname(dirname(__FILE__).'../').'/');

class MyException extends Exception {
  public $file;
  public $line;
  public static function errorHandler($errno, $errstr, $errfile, $errline) {
        $e = new self();
        $e->message = $errstr;
        $e->code = $errno;
        $e->file = $errfile;
        $e->line = $errline;
        
        $f = 0;
        if(!is_dir(BASE_DIR."Log/")){
            mkdir(BASE_DIR."Log/");
        }
        
        $f = fopen(BASE_DIR.'Log/PHP_ERR_'.date("Y-m-d").'.log','a+');
        
        fwrite($f,date('Y-m-d H:i:s')."  \n\n ".print_r($e, true)." \r\n");
        fclose($f);
        
        ?>
        <script>
            console.error("ERROR -> <?=$errstr?>");
             var error = {
                'TIPO'     : '<?=$errstr?>',
                'ARCHIVO'  : '<?=$errfile?>',
                'LINEA'    : '<?=$errline?>',
                'FECHA'    : '<?=date('d-m-Y H:i:s')?>'
                }
            }
            console.dir(error);
        </script>
        <?php

    throw $e;
  }
}

define('DB_TYPE', 'sqlsrv');
define('DB_HOST', 'HEAD_DE_OPEN');
define('DB_NAME', 'HOCNXREG');
define('DB_NAME_HEAD', 'HO_GOBAR');
define('DB_USER', 'DEBO_CNX');
define('DB_PASS', 'debo01');

define('APP_DIR', dirname(dirname(__FILE__).'../').'/application/');

define("SALT", "EQa:v4~heB^}]pQX@V)U<4I2|>#fO+Jmz~K|-zW%w0:HAl{+B6hS|H40utY5z6R7");

define("MOTOR_SQL", "sqlsrv"); //mysql mssql, sqlsrv, postgresql
define("LOG_FILE", 'Log/ERROR_SQL_' . date("d-m-Y") . '.log');

define("SAVE_SQL_FILE", false);

define('RANGE_PPC_1', (2*3600)); // green 0-2horas
define('RANGE_PPC_2', (12*3600)); // yellow 2-12horas
// + red

define('RANGE_PPC_DATA_1', (2*3600)); // green 0-2horas
define('RANGE_PPC_DATA_2', (3*3600)); // yellow 2-3horas
// + red

define('RANGE_PENDIENTES_1', (1)); // green 0-2horas
define('RANGE_PENDIENTES_2', (2)); // yellow 2-3horas

define('LOG_SYSTEM_DIR', "D:\SisdeboHead\\"); // 14 días
define('LOG_SYSTEM_ALLOW', '*.HO'); // 14 días
define('LOG_SYSTEM_FLAG_DATE', (140*24*3600)); // 14 días

define("PNL_MENSAJES", FALSE);
define("PNL_MENSAJES_SISTEMA", FALSE);

set_error_handler(array('MyException', 'errorHandler'), E_ALL);
/*
try {

    /////////////////////////////////////////////////////////////////////////////////////////////////////////
    $conexion = mssql_connect($servidor, $usuario, $pwd) or die("Error de conexión."); ////////////////////////
    mssql_select_db($basededatos, $conexion) or die("Error de selección de base de datos."); /////////////////
    /////////////////////////////////////////////////////////////////////////////////////////////////////////}

} catch (Exception $e) {
    echo 'El sistema se encuentra mal configurado.';
    exit;
}
*/

define('URL_SITIO', "http://" . $_SERVER['HTTP_HOST'] . '/pcc/');
define('URL_WEBSERVICE', "http://" . $_SERVER['HTTP_HOST'] . '/pcc/');